Vous êtes ici : Accueil / 2011 / Novembre / Résoudre le problème d'affichage avec TinyMCE et KUPU sous Plone 4 avec le navigateur Internet Explorer 9

Résoudre le problème d'affichage avec TinyMCE et KUPU sous Plone 4 avec le navigateur Internet Explorer 9

écrit le 08/11/2011 Par Leo Bernard
Comments
Cette modification permet de résoudre le problème d'affichage sous Internet Explorer 9 qui peut se produire avec les éditeurs WYSIWYG KUPU et TinyMCE sous Plone 4.

Avec la dernière version de Plone, Plone 4 et le changement d'éditeur WYSIWYG, de nombreux utilisateurs ont du modifier leurs habitudes.

Hélas, les utilisateurs de la dernière version d'Internet Explorer (IE 9) ont eu des problèmes d'affichage, aussi bien sur l'éditeur TinyMCE que via Kupu. Les symptômes étant que le texte n'est pas affiché et qu'il n'y a aucune possibilité de le modifier.

L'utilisation d'Internet Explorer 9 étant de plus en plus répandue, et le passage vers Firefox n'étant pas toujours possible pour les clients, nous vous proposons la solution suivante.

Le but de la manipulation est de forcer IE 9 à se comporter comme dans sa version 8, qui fonctionne correctement avec ces éditeurs.

Il faut donc modifier le template principal pour y ajouter la ligne suivante au niveau de l'en-tête de la page :

<meta http-equiv="X-UA-Compatible" content="IE=8" />

Pour cela, vous pouvez suivre les étapes suivantes, pas à pas :

1. Allez dans la ZMI :

http://monsite.org/manage

2. Cliquez sur portal_skins ;

3. Allez dans plone_templates ;

4. Recherchez main_template, et cliquez dessus ;

5. Cliquez sur Customize ;

6. Rechercher la balise :

 <head>

  </head>

7. Et coller le code ;

<meta http-equiv="X-UA-Compatible" content="IE=8" />

juste au dessus du texte </head> ;

8. Sauvegarder et redémarrez votre instance.

Votre éditeur devrait alors se charger correctement sous IE 9.

Plus de précisions sont disponibles sur le site de développement Plone.

Actions sur le document

blog comments powered by Disqus